Deploy Turnilo (possible pivot replacement)
Closed, ResolvedPublic8 Story Points

Ottomata created this task.May 10 2018, 8:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2018, 8:57 PM
Ottomata set the point value for this task to 8.May 10 2018, 8:58 PM

Change 432530 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Puppetize Turnilo (Pivot replacement)

https://gerrit.wikimedia.org/r/432530

Change 432530 merged by Ottomata:
[operations/puppet@production] Puppetize Turnilo (Pivot replacement)

https://gerrit.wikimedia.org/r/432530

Milimetric triaged this task as Normal priority.May 14 2018, 2:29 PM

Change 432989 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Fix yaml rendering of druid_clusters for turnilo

https://gerrit.wikimedia.org/r/432989

Change 432989 merged by Ottomata:
[operations/puppet@production] Fix yaml rendering of druid_clusters for turnilo

https://gerrit.wikimedia.org/r/432989

Change 432990 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Fix bad comment line wrap for turnilo config

https://gerrit.wikimedia.org/r/432990

Change 432990 merged by Ottomata:
[operations/puppet@production] Fix bad comment line wrap for turnilo config

https://gerrit.wikimedia.org/r/432990

Change 432993 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] More turnilo yaml config fixes

https://gerrit.wikimedia.org/r/432993

Change 432993 merged by Ottomata:
[operations/puppet@production] More turnilo yaml config fixes

https://gerrit.wikimedia.org/r/432993

Change 432994 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Proper cluster names in turnilo datasources

https://gerrit.wikimedia.org/r/432994

Change 432994 merged by Ottomata:
[operations/puppet@production] Proper cluster names in turnilo datasources

https://gerrit.wikimedia.org/r/432994

Ottomata moved this task from Ready to Deploy to In Code Review on the Analytics-Kanban board.

Change 433112 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::cache::misc: add Varnish config for turnilo.w.o

https://gerrit.wikimedia.org/r/433112

Change 433118 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Add turnilo.wikimedia.org

https://gerrit.wikimedia.org/r/433118

Change 433112 merged by Elukey:
[operations/puppet@production] role::cache::misc: add Varnish config for turnilo.w.o

https://gerrit.wikimedia.org/r/433112

Change 433118 merged by Elukey:
[operations/dns@master] Add turnilo.wikimedia.org

https://gerrit.wikimedia.org/r/433118

Change 434499 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Redirect pivot -> turnilo

https://gerrit.wikimedia.org/r/434499

Change 434499 merged by Ottomata:
[operations/puppet@production] Redirect pivot -> turnilo

https://gerrit.wikimedia.org/r/434499

Mentioned in SAL (#wikimedia-analytics) [2018-05-23T14:25:35Z] <ottomata> redirecting pivot -> turnilo.wikimedia.org - https://phabricator.wikimedia.org/T194427

I'm not 100%, but I know that Turnilo has the ability to discover datasources on it's own. Perhaps the use of the config.yaml file is preventing it from doing so? @Milimetric and @JAllemandou might know more.

Change 436501 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::analytics_cluster::webserver: deprecate pivot

https://gerrit.wikimedia.org/r/436501

Change 436501 merged by Elukey:
[operations/puppet@production] role::analytics_cluster::webserver: deprecate pivot

https://gerrit.wikimedia.org/r/436501

Nuria closed this task as Resolved.Jun 4 2018, 2:53 PM
Tbayer added a subscriber: Tbayer.Jun 6 2018, 3:00 PM

Since Turnilo has now officially replaced Pivot, it would be great to update the documentation on Wikitech (the main page at https://wikitech.wikimedia.org/wiki/Analytics/Systems/Pivot , and others where Pivot is mentioned).

Vvjjkkii renamed this task from Deploy Turnilo (possible pivot replacement) to k6caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Ottomata as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot set the point value for this task to 8.Jul 2 2018, 3:15 PM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to Ottomata.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from k6caaaaaaa to Deploy Turnilo (possible pivot replacement).
CommunityTechBot added subscribers: gerritbot, Aklapper.